NSPR configure script does not recognize darwin

RESOLVED FIXED in 4.2

Status

defect
P1
normal
RESOLVED FIXED
18 years ago
18 years ago

People

(Reporter: patrick, Assigned: wtc)

Tracking

other
Other
macOS

Firefox Tracking Flags

(Not tracked)

Details

Reporter

Description

18 years ago
On Mac OS X, the configure script does not recognize "darwin" as the OS 
name.  If the following patch is applied to configure.in, NSPR builds 
without problems on OS X:

Index: configure.in
=========================================================
==========
RCS file: /cvsroot/mozilla/nsprpub/configure.in,v
retrieving revision 1.75
diff -u -r1.75 configure.in
--- configure.in        2001/06/14 21:45:38     1.75
+++ configure.in        2001/06/20 02:29:53
@@ -1414,7 +1414,7 @@
     PR_MD_CSRCS=qnx.c
     ;;
 
-*-rhapsody*)
+*-rhapsody* | *-darwin*)
     AC_DEFINE(XP_UNIX)
     AC_DEFINE(RHAPSODY)
     AC_DEFINE(HAVE_BSD_FLOCK)
Assignee

Comment 1

18 years ago
Thanks for the bug report.  This is a known bug and
your patch is correct.
Status: UNCONFIRMED → ASSIGNED
Ever confirmed: true
Priority: -- → P1
Target Milestone: --- → 4.2
Assignee

Comment 2

18 years ago
I checked in the following patch on the trunk of NSPR.  I believe
the old name 'rhapsody' is now obsolete so we only need to recognize
'darwin'.

Index: configure.in
===================================================================
RCS file: /cvsroot/mozilla/nsprpub/configure.in,v
retrieving revision 1.76
diff -u -r1.76 configure.in
--- configure.in        2001/06/23 04:09:14     1.76
+++ configure.in        2001/06/23 04:32:11
@@ -1415,7 +1415,7 @@
     PR_MD_CSRCS=qnx.c
     ;;

-*-rhapsody*)
+*-darwin*)
     AC_DEFINE(XP_UNIX)
     AC_DEFINE(RHAPSODY)
     AC_DEFINE(HAVE_BSD_FLOCK)
Status: ASSIGNED → RESOLVED
Closed: 18 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.